Create a new Conversation
Legal information
Conversation Orchestrator, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the Predictive and Generative AI/ML Features Addendum. For details on AI usage and data, see the AI Nutrition Facts for Real-Time Transcription and Conversation Relay.
Conversation Orchestrator is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.
Conversations products are only available in the new Twilio Console. If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.
POST/v2/Conversations
Base url: https://conversations.twilio.com (base url)
Create a new conversation
application/jsonThe ID of an existing configuration.
conv_configuration_00000000000000000000000002Optional list of Participants to create with the Conversation.
50Optional customer-managed key-value metadata for this Conversation. Maximum 8 entries; keys up to 128 characters allowing alphanumeric characters, periods, underscores, and dashes; values up to 512 characters.
{"zendesk_ticket_id":"TKT-456"}Max properties: 8Created
Configuration ID.
conv_configuration_00000000000000000000000001Conversation status.
ACTIVEPossible values: ACTIVEINACTIVECLOSEDTimestamp when this Conversation was created.
2023-07-01T12:00:00ZTimestamp when this Conversation was last updated.
2023-07-01T12:30:00ZFull configuration settings for this Conversation.
Customer-managed key-value metadata for this Conversation.
{"zendesk_ticket_id":"TKT-456"}Max properties: 8Participants in this Conversation.
The Action created for the request's action, present only on the create response that
dispatched one. Poll GET /v2/Conversations/{ConversationId}/Actions/{ActionId} for its status.
conv_action_000000000000000000000000011// Download the helper library from https://www.twilio.com/docs/node/install2const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";34// Find your Account SID at twilio.com/console5// Provision API Keys at twilio.com/console/runtime/api-keys6// and set the environment variables. See http://twil.io/secure7// For local testing, you can use your Account SID and Auth token8const accountSid = process.env.TWILIO_ACCOUNT_SID;9const apiKey = process.env.TWILIO_API_KEY;10const apiSecret = process.env.TWILIO_API_SECRET;11const client = twilio(apiKey, apiSecret, { accountSid: accountSid });1213async function createConversationWithConfig() {14const conversation = await client.conversations.v2.conversations.create({15configurationId: "conv_configuration_00000000000000000000000002",16});1718console.log(conversation.id);19}2021createConversationWithConfig();
Response
1{2"id": "conv_conversation_00000000000000000000000001",3"accountId": "ACaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",4"configurationId": "conv_configuration_00000000000000000000000001",5"status": "ACTIVE",6"name": "Customer Support - Multi-channel",7"createdAt": "2023-07-01T12:00:00Z",8"updatedAt": "2023-07-01T12:30:00Z",9"metadata": {10"zendesk_ticket_id": "TKT-456"11}12}